#pragma once

#include <set>

#include "tools/mathutils.h"
#include "classicnote.h"

struct Context;

struct Beatmap
{
    std::set<ClassicNote*, NotePtrCompt> notes;
    microsec visibility_offset;
};

class ClassicMapCreator
{
public:
    explicit ClassicMapCreator(const std::shared_ptr<Context>& context);

     Beatmap createBeatmap(const std::string& filepath) const;

private:
    const std::shared_ptr<Context> _context;
};
